svn commit: r416087 - head/Mk/Scripts

Mathieu Arnold mat at FreeBSD.org
Sun May 29 08:02:29 UTC 2016


Author: mat
Date: Sun May 29 08:02:28 2016
New Revision: 416087
URL: https://svnweb.freebsd.org/changeset/ports/416087

Log:
  Fix fetch-list and fetch-url-list-int when DISTDIR is not writable.
  
  PR:		209820
  Reported by:	amdmi3
  Sponsored by:	Absolight

Modified:
  head/Mk/Scripts/do-fetch.sh   (contents, props changed)

Modified: head/Mk/Scripts/do-fetch.sh
==============================================================================
--- head/Mk/Scripts/do-fetch.sh	Sun May 29 04:49:44 2016	(r416086)
+++ head/Mk/Scripts/do-fetch.sh	Sun May 29 08:02:28 2016	(r416087)
@@ -65,12 +65,12 @@ for _file in "${@}"; do
 		case ${dp_TARGET} in
 		do-fetch|makesum)
 			${dp_ECHO_MSG} "=> $file doesn't seem to exist in ${dp_DISTDIR}."
+			if [ ! -w "${dp_DISTDIR}" ]; then
+				${dp_ECHO_MSG} "=> ${dp_DISTDIR} is not writable by you; cannot fetch."
+				exit 1
+			fi
 			;;
 		esac
-		if [ ! -w "${dp_DISTDIR}" ]; then
-			${dp_ECHO_MSG} "=> ${dp_DISTDIR} is not writable by you; cannot fetch."
-			exit 1
-		fi
 		if [ -n "$select" ] ; then
 			__MASTER_SITES_TMP=
 			for group in $select; do


More information about the svn-ports-head mailing list